## hwsetup-mol-1.1-1mol2.tar.gz

=== Makefile ===
#<-- for Make One Linux
#prefix=
prefix=/usr
libexecdir=libexec
#-->
INC=-I/usr/include/kudzu
# define BLACKLIST to avoid loading potentially dangerous modules
CFLAGS=-DBLACKLIST -Wall -fPIC
OPT=-O2
LDFLAGS=-s
LIBS=-lkudzu -lpci
CC=gcc

#<-- for Make One Linux
#hwsetup: hwsetup.c
#	$(CC) $(INC) $(CFLAGS) $(OPT) $(LDFLAGS) -o $@ $< $(LIBS)
hwsetup-mol: hwsetup.c
	$(CC) $(INC) $(CFLAGS) $(OPT) $(LDFLAGS) -o $@ $< $(LIBS)

#install: hwsetup
#	[ -d $(prefix)/sbin ] || mkdir -p $(prefix)/sbin
#	install -m 755 hwsetup $(prefix)/sbin/hwsetup
install: hwsetup-mol
	[ -d $(DESTDIR)$(prefix)/$(libexecdir) ] || mkdir -p $(DESTDIR)$(prefix)/$(libexecdir)
	install -m 755 $< $(DESTDIR)$(prefix)/$(libexecdir)/$<

uninstall:
	rm -f $(DESTDIR)$(prefix)/$(libexecdir)/hwsetup-mol

#clean:
#	rm -f hwsetup *.o core
clean:
	rm -f hwsetup-mol *.o core

#dist: clean
#	cd .. ; \
#	tar -cvf - hwsetup/{Makefile,*.[ch]} | \
#	bzip2 -9 > $(HOME)/redhat/SOURCES/hwsetup.tar.bz2
#-->

=== debian/changelog ===
hwsetup (1.1-1) unstable; urgency=low

  * Added check for conflicting sound modules

 -- Knoppix User <knoppix@Knoppix>  Sat,  7 May 2005 15:21:50 +0200

hwsetup (1.0-14) unstable; urgency=low

  * libkudzu 1.1.3 changes

 -- root <root@Knoppix>  Mon,  2 Jun 2003 20:50:18 +0200

hwsetup (1.0-13) unstable; urgency=low

  * Added -s (noscsi) and -a (noaudio)

 -- root <root@Knoppix>  Mon, 14 Apr 2003 21:50:24 +0200

hwsetup (1.0-12) unstable; urgency=low

  * Send stderr of modprobe to /dev/null if not in verbose mode

 -- root <root@Knoppix>  Sat,  8 Feb 2003 19:15:51 +0100

hwsetup (1.0-11) unstable; urgency=low

  * Added blacklist for potentially dangerous modules

 -- root <root@Knoppix>  Wed,  1 Jan 2003 06:53:29 +0100

hwsetup (1.0-10) unstable; urgency=low

  * Workaround for a module bug

 -- root <root@Knoppix>  Wed,  9 Oct 2002 21:34:17 +0200

hwsetup (1.0-9) unstable; urgency=low

  * Don't load modules for type "OTHER" again (hangs on some notebooks. :-( )

 -- root <root@Knoppix>  Wed,  9 Oct 2002 00:09:09 +0200

hwsetup (1.0-8) unstable; urgency=low

  * Added alarm handler to autokill hwsetup after max. 120 seconds

 -- root <root@Knoppix>  Tue,  8 Oct 2002 21:35:22 +0200

hwsetup (1.0-7) unstable; urgency=low

  * Don't load yenta_socket here (Dell inspiron problems)

 -- root <root@Knoppix>  Mon,  7 Oct 2002 23:23:02 +0200

hwsetup (1.0-6) unstable; urgency=low

  * Also call modprobe for modules of CLASS_OTHER devices.

 -- root <root@Knoppix>  Sat,  5 Oct 2002 20:31:09 +0200

hwsetup (1.0-5) unstable; urgency=low

  * Load module(s) for class CAPTURE, RAID, SOCKET

 -- root <root@Knoppix>  Mon, 16 Sep 2002 19:12:35 +0200

hwsetup (1.0-4) unstable; urgency=low

  * cursor correction

 -- root <root@Knoppix>  Mon, 13 May 2002 17:08:14 +0200

hwsetup (1.0-3) unstable; urgency=low

  * Added elaborate use of ansi colors for prompt mode

 -- root <root@Knoppix>  Mon, 13 May 2002 00:36:21 +0200

hwsetup (1.0-2) unstable; urgency=low

  * Added floppy detection

 -- root <root@Knoppix>  Fri, 29 Mar 2002 19:45:13 +0100

hwsetup (1.0-1) unstable; urgency=low

  * Switch to new kudzu 0.99.47
  * Add rotating prompt for feedback

 -- root <root@Knoppix>  Thu, 21 Mar 2002 16:58:08 +0100

hwsetup (0.9-1) unstable; urgency=low

  * added segfault handler for unstable modules

 -- Klaus Knopper <knopper@knopper.net>  Sun, 21 Oct 2001 20:57:25 +0100

hwsetup (0.8-1) unstable; urgency=low

  * Initial release

 -- Klaus Knopper <knopper@knopper.net>  Mon, 14 May 2001 20:57:25 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: hwsetup
Section: devel
Priority: optional
Maintainer: Klaus Knopper <knopper@knopper.net>
Build-Depends: debhelper (>> 3.0.0)
Build-Depends: kudzu-knoppix-dev
Standards-Version: 3.5.2

Package: hwsetup
Architecture: any
Depends: ${shlibs:Depends}, hwdata-knoppix
Description: Automatic hardware setup using the kudzu library
 hwsetup is a non-interactive hardware setup tool that tries to read your
 hardware setup and autoloads all necessary modules, plus generating the
 symlinks for mouse and cdrom/scanner in /dev.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	-$(MAKE) clean
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
#	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install prefix=$(CURDIR)/debian/tmp
	mkdir -p $(CURDIR)/debian/tmp/etc/sysconfig

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
#	dh_testroot
#	dh_movefiles

#	dh_installdebconf	
#	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
#	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
